

module.exports = {

    getAllAward: async function (req, res) {
        let data = await Award.find().sort('id ASC');
        if(data){
            res.ok(data);
        }
        else{
            return res.status(500).send({
                success: false,
                message: "Registros não encontrados."
            });
        }
    },


    updateAward: async function (req, res) {

        let params = req.allParams();

        //Não foi enviado parâmetro
		if(Object.keys(params).length == 0){
			return res.status(500).send({
                    success: false,
                    message: "Não foi enviado parâmetros"
                });
		}else if(!params.id){
            return res.status(500).send({
                success: false,
                message: "O id não foi enviado"
            });
        }

        var data = await Award.updateOne({ "id": params.id }).set(params);

        if (data) {
            return res.ok({
                success: true,
            });
        } else {
            return res.status(500).send({
                success: false,
                message: "ID informado, não foi encontrado"
            });
        }
    },

};