module.exports = {

  friendlyName: 'Format welcome message',


  description: 'Return a personalized greeting based on the provided name.',


  inputs: {

    path: {
      type: 'string',
      example: '../../assets/files/resource/',
      description: 'local onde o arquivo será salvo ',
      required: true
    },
    file: {
      type: 'ref',
      description: 'O arquivo que será salvo ',
      required: true
    }

  },



  fn: async function (inputs, exits) {
    // servidor atual onde a api está localizada 'http://'
    let host = '';
    // oque será retirado de forma padrão do path. No caso do us.clouding é (/home/www/)
    let withdrawnPath = "gj5439h5h9458";

    inputs.file.upload({
      dirname: inputs.path,
    }, function (err, file) {
      const aux = file[0].fd.split(withdrawnPath).pop();
      if (err) {
        exits.success(false);
      } else {
        return exits.success(host + aux);
      }
    });
  },


};