/**
* Activity.js
*
* @description :: activity model imported from localhost MySql server at 18/3/2020 16:24:20.
* @docs        :: http://sailsjs.org/#!documentation/models
*/


module.exports = {

  attributes: {
    name : {
      type: 'string',
      allowNull: true
    },
    score : {
      type: 'number',
      allowNull: true
    },
    startLimit : {
      type: 'number',
      allowNull: true
    },
    limit : {
      type: 'number',
      allowNull: true
    },
    dailyLimit : {
      type: 'number',
      allowNull: true
    },
    monthLimit : {
      type: 'number',
      allowNull: true
    },
    idActivityGroup : {
      model: 'Activitygroup'
    },
  }
};
