/**
* Rolepermission.js
*
* @description :: rolepermission model imported from localhost MySql server at 18/3/2020 16:24:20.
* @docs        :: http://sailsjs.org/#!documentation/models
*/


module.exports = {

  attributes: {
    canAccess : {
      type: 'number',
      allowNull: true
    },
    canRead : {
      type: 'number',
      allowNull: true
    },
    canCreate : {
      type: 'string',
      allowNull: true
    },
    canUpdate : {
      type: 'number',
      allowNull: true
    },
    canDelete : {
      type: 'number',
      allowNull: true
    },
    idRole : {
      model: 'role'
    },
    idPermission : {
      model: 'permission'
    }
  }
};
