/**
* Sessions.js
*
* @description :: sessions model imported from localhost MySql server at 18/3/2020 16:24:20.
* @docs        :: http://sailsjs.org/#!documentation/models
*/


module.exports = {

  attributes: {
    sid : {
      type: 'string',
      unique: true
    },
    session : {
      type: 'string'
    },
    expires : {
      type: 'number',
      allowNull: true
    }
  }
};
